# Generated via dconf2nix: https://github.com/gvolpe/dconf2nix
{ lib, ... }:

with lib.hm.gvariant;

{
  dconf.settings = {
    "ca/desrt/dconf-editor" = {
      saved-pathbar-path = "/org/gnome/file-roller/";
      saved-view = "/org/gnome/";
      show-warning = false;
      window-height = 500;
      window-is-maximized = false;
      window-width = 540;
    };

    "com/usebottles/bottles" = {
      show-sandbox-warning = false;
      startup-view = "page_list";
    };

    "org/blueman/general" = {
      window-properties = [ 510 350 1477 188 ];
    };

    "org/blueman/plugins/powermanager" = {
      auto-power-on = "@mb false";
    };

    "org/cinnamon" = {
      enabled-applets = [ "panel1:left:0:menu@cinnamon.org:0" "panel1:left:1:separator@cinnamon.org:1" "panel1:left:6:grouped-window-list@cinnamon.org:2" "panel1:right:5:systray@cinnamon.org:3" "panel1:right:6:xapp-status@cinnamon.org:4" "panel1:right:7:notifications@cinnamon.org:5" "panel1:right:8:printers@cinnamon.org:6" "panel1:right:9:removable-drives@cinnamon.org:7" "panel1:right:10:keyboard@cinnamon.org:8" "panel1:right:11:favorites@cinnamon.org:9" "panel1:right:12:network@cinnamon.org:10" "panel1:right:13:sound@cinnamon.org:11" "panel1:right:14:power@cinnamon.org:12" "panel1:right:15:calendar@cinnamon.org:13" "panel1:right:16:cornerbar@cinnamon.org:14" "panel1:left:2:kilotime@ablecorp.us:15" "panel1:left:3:separator@cinnamon.org:16" "panel1:left:4:betterlock:17" "panel1:right:1:separator@cinnamon.org:18" "panel1:left:5:separator@cinnamon.org:19" ];
      next-applet-id = 20;
      panel-edit-mode = false;
      panel-zone-symbolic-icon-sizes = "[{\"panelId\": 1, \"left\": 28, \"center\": 28, \"right\": 16}]";
      panels-enabled = [ "1:0:top" ];
      panels-height = [ "1:40" ];
    };

    "org/cinnamon/desktop/applications/calculator" = {
      exec = "gnome-calculator";
    };

    "org/cinnamon/desktop/applications/terminal" = {
      exec = "gnome-terminal";
      exec-arg = "--";
    };

    "org/cinnamon/desktop/background" = {
      picture-uri = "file:///home/able/Pictures/Condesce_HomeStuck.jpg";
    };

    "org/cinnamon/desktop/background/slideshow" = {
      delay = 15;
      image-source = "directory:///home/able/Pictures";
    };

    "org/cinnamon/desktop/interface" = {
      cursor-blink-time = 1200;
      cursor-size = 24;
      cursor-theme = "GoogleDot-Black";
      font-name = "Noto Sans 10";
      gtk-theme = "Adwaita-dark";
      icon-theme = "HighContrast";
      text-scaling-factor = 1.0;
    };

    "org/cinnamon/desktop/keybindings" = {
      custom-list = [ "__dummy__" "custom0" ];
    };

    "org/cinnamon/desktop/keybindings/custom-keybindings/custom0" = {
      binding = [ "Print" ];
      command = "flameshot gui";
      name = "screenshot";
    };

    "org/cinnamon/desktop/keybindings/media-keys" = {
      screenshot = [];
    };

    "org/cinnamon/desktop/media-handling" = {
      autorun-never = false;
      autorun-x-content-ignore = [];
      autorun-x-content-open-folder = [];
      autorun-x-content-start-app = [ "x-content/unix-software" ];
    };

    "org/cinnamon/desktop/notifications" = {
      notification-duration = 4;
    };

    "org/cinnamon/desktop/peripherals/keyboard" = {
      delay = mkUint32 500;
      numlock-state = false;
      repeat-interval = mkUint32 30;
    };

    "org/cinnamon/desktop/peripherals/mouse" = {
      double-click = 400;
      drag-threshold = 8;
      speed = 0.0;
    };

    "org/cinnamon/desktop/peripherals/touchpad" = {
      speed = 0.0;
    };

    "org/cinnamon/desktop/sound" = {
      event-sounds = false;
    };

    "org/cinnamon/desktop/wm/preferences" = {
      num-workspaces = 4;
      titlebar-font = "Noto Sans 10";
      workspace-names = [];
    };

    "org/cinnamon/settings-daemon/peripherals/keyboard" = {
      numlock-state = "off";
    };

    "org/cinnamon/theme" = {
      name = "Linux Mint";
    };

    "org/gnome/Disks" = {
      image-dir-uri = "file:///home/able/Documents";
    };

    "org/gnome/Geary" = {
      migrated-config = true;
    };

    "org/gnome/calculator" = {
      accuracy = 9;
      angle-units = "degrees";
      base = 10;
      button-mode = "basic";
      number-format = "automatic";
      show-thousands = false;
      show-zeroes = false;
      source-currency = "";
      source-units = "degree";
      target-currency = "";
      target-units = "radian";
      word-size = 64;
    };

    "org/gnome/desktop/interface" = {
      document-font-name = "Noto Sans 11";
      monospace-font-name = "Noto Sans Mono 10";
    };

    "org/gnome/evolution-data-server" = {
      migrated = true;
    };

    "org/gnome/file-roller/dialogs/extract" = {
      recreate-folders = true;
      skip-newer = false;
    };

    "org/gnome/file-roller/listing" = {
      list-mode = "as-folder";
      name-column-width = 313;
      show-path = false;
      sort-method = "name";
      sort-type = "ascending";
    };

    "org/gnome/file-roller/ui" = {
      sidebar-width = 200;
      window-height = 480;
      window-width = 909;
    };

    "org/gnome/pomodoro/preferences" = {
      pomodoro-duration = 1500.0;
    };

    "org/gnome/pomodoro/state" = {
      timer-date = "2023-09-13T10:41:52+0000";
      timer-elapsed = 0.0;
      timer-paused = false;
      timer-score = 0.0;
      timer-state = "null";
      timer-state-date = "2023-09-13T10:41:52+0000";
      timer-state-duration = 0.0;
    };

    "org/gnome/terminal/legacy/profiles:/:b1dcc9dd-5262-4d8d-a863-c897e6d979b9" = {
      font = "Monospace 12";
      use-system-font = false;
    };

    "org/gtk/gtk4/settings/file-chooser" = {
      date-format = "regular";
      location-mode = "path-bar";
      show-hidden = true;
      show-size-column = true;
      show-type-column = true;
      sidebar-width = 140;
      sort-column = "name";
      sort-directories-first = false;
      sort-order = "ascending";
      type-format = "category";
      view-type = "list";
      window-size = mkTuple [ 815 771 ];
    };

    "org/gtk/settings/file-chooser" = {
      date-format = "regular";
      location-mode = "path-bar";
      show-hidden = true;
      show-size-column = true;
      show-type-column = true;
      sidebar-width = 152;
      sort-column = "modified";
      sort-directories-first = true;
      sort-order = "descending";
      type-format = "category";
      window-position = mkTuple [ 1612 40 ];
      window-size = mkTuple [ 1096 823 ];
    };

    "org/nemo/desktop" = {
      font = "Noto Sans 10";
      volumes-visible = false;
    };

    "org/nemo/preferences" = {
      last-server-connect-method = 3;
      show-hidden-files = true;
    };

    "org/nemo/window-state" = {
      bookmarks-expanded = true;
      geometry = "800x550+1490+90";
      maximized = true;
      network-expanded = true;
      sidebar-bookmark-breakpoint = 0;
      sidebar-width = 249;
      start-with-sidebar = true;
    };

    "org/onboard" = {
      schema-version = "2.3";
      system-theme-associations = "{'HighContrast': 'HighContrast', 'HighContrastInverse': 'HighContrastInverse', 'LowContrast': 'LowContrast', 'ContrastHighInverse': 'HighContrastInverse', 'Default': ''}";
      use-system-defaults = false;
    };

    "org/x/editor/plugins" = {
      active-plugins = [ "docinfo" "modelines" "sort" "filebrowser" "spell" "time" ];
    };

    "org/x/editor/preferences/ui" = {
      statusbar-visible = true;
    };

    "org/x/editor/state/window" = {
      bottom-panel-size = 140;
      side-panel-active-page = 827629879;
      side-panel-size = 200;
      size = mkTuple [ 650 500 ];
      state = 87168;
    };

    "org/x/pix/browser" = {
      filterbar-visible = true;
      maximized = true;
      properties-visible = true;
      show-thumbnails = true;
      sort-inverse = false;
      sort-type = "file::mtime";
      startup-current-file = "file://~/Documents/media/Art/MIT/Rei/evildice.GIF";
      startup-location = "file://~/Documents/media/Art/MIT/Rei";
      thumbnail-list-size = 128;
      viewer-sidebar = "hidden";
    };

    "org/x/pix/data-migration" = {
      catalogs-2-10 = true;
    };

    "org/x/pix/general" = {
      active-extensions = [ "23hq" "bookmarks" "burn_disc" "catalogs" "change_date" "comments" "contact_sheet" "convert_format" "desktop_background" "edit_metadata" "exiv2_tools" "facebook" "file_manager" "file_tools" "find_duplicates" "flicker" "gstreamer_tools" "gstreamer_utils" "image_print" "image_rotation" "image_viewer" "importer" "jpeg_utils" "list_tools" "oauth" "photo_importer" "photobucket" "picasaweb" "raw_files" "red_eye_removal" "rename_series" "resize_images" "search" "selections" "slideshow" "webalbums" ];
    };

    "org/x/pix/resize-images" = {
      height = 100;
      keep-aspect-ratio = false;
      mime-type = "";
      unit = "percentage";
      width = 29;
    };

    "org/x/player" = {
      active-plugins = [ "screensaver" "dbusservice" "autoload-subtitles" "vimeo" "recent" "opensubtitles" "chapters" "media_player_keys" "skipto" "movie-properties" "screenshot" "apple-trailers" ];
      debug = false;
      subtitle-encoding = "UTF-8";
    };

    "org/x/reader/default" = {
      window-ratio = mkTuple [ 2.352941 1.039141 ];
    };

    "org/x/viewer/window" = {
      maximized = true;
    };

    "org/x/warpinator/preferences" = {
      ask-for-send-permission = true;
      autostart = false;
      connect-id = "NIXOS-D6BA323433A716DDB295";
      no-overwrite = true;
    };

  };
}
